HttpRequest::addQueryData
HttpRequest::addSslOptions
HttpRequest
PHP Manual

# HttpRequest::addRawPostData

(PECL pecl_http 0.14.0-1.4.1)

HttpRequest::addRawPostData — Add raw post data

### Description

public bool HttpRequest::addRawPostData ( string `$raw_post_data` )

Add raw post data, leaving previously set raw post data unchanged.

Affects only POST and custom requests.

### Parameters

`raw_post_data`

  the raw post data to concatenate

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::addQueryData
HttpRequest::addSslOptions
HttpRequest
PHP Manual